Search by Keyword
curl --request GET \
--url https://api.sociavault.com/v1/scrape/threads/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/threads/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/threads/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"posts": [
{
"id": "3623717915788120086_63263616227",
"pk": "3623717915788120086",
"user": {
"friendship_status": null,
"pk": "63263616227",
"profile_pic_url": "https://instagram.fcae1-1.fna.fbcdn.net/v/t51.2885-19/482795192_3376548399146227_6340123271493467395_n.jpg?stp=dst-jpg_s150x150_tt6&_nc_ht=instagram.fcae1-1.fna.fbcdn.net&_nc_cat=1&_nc_oc=Q6cZ2QFfhhbPZWsd0GfT28z5WO_4qqp0J0TZeg_2rJ1msbR_DS_f6Lu6JdkORdUt7DIkVes&_nc_ohc=SCH32yXVc04Q7kNvwHfg6hS&_nc_gid=DuGtmKyvvrTkwZuS-75tqg&edm=APs17CUBAAAA&ccb=7-5&oh=00_AfEGgKt7JWHgrAUYwyj3koqHwPnipcqDXEiz-YsAN4c3Fg&oe=681B5320&_nc_sid=10d13b",
"username": "shams",
"id": "63263616227",
"transparency_label": null,
"transparency_product": null,
"transparency_product_enabled": false,
"is_verified": true,
"text_post_app_is_private": false,
"has_onboarded_to_text_post_app": true
},
"text_post_app_info": {
"show_header_follow": null,
"is_markup": null,
"custom_feed_preview_info": null,
"link_preview_attachment": null,
"linked_inline_media": null,
"special_effects_enabled_str": "",
"text_fragments": {
"fragments": [
{
"fragment_type": "plaintext",
"link_fragment": null,
"mention_fragment": null,
"plaintext": "BREAKING: Gregg Popovich will no longer be Head Coach of the San Antonio Spurs and is transitioning full-time to Team President, sources told ESPN. The iconic Popovich is a Basketball Hall of Famer, the NBA’s all-time winningest coach, and led the Spurs to five championships.",
"tag_fragment": null,
"linkified_web_url": null,
"styling_info": null
}
]
},
"reshare_count": 260,
"direct_reply_count": 75,
"repost_count": 200,
"quote_count": 59,
"share_info": {
"quoted_attachment_author_attribution_allowed": true,
"quoted_attachment_post_unavailable": false,
"quoted_attachment_post": null,
"quoted_post": null,
"reposted_post": null
},
"reply_to_author": null,
"reply_control": "everyone",
"private_reply_partner": null,
"self_thread_count": null,
"tag_header": null,
"root_post_author": null,
"pinned_post_info": null,
"related_trends_info": null,
"is_reply": false,
"is_post_unavailable": false,
"post_unavailable_reason": null,
"hush_info": null
},
"is_paid_partnership": null,
"audio": null,
"caption": {
"text": "BREAKING: Gregg Popovich will no longer be Head Coach of the San Antonio Spurs and is transitioning full-time to Team President, sources told ESPN. The iconic Popovich is a Basketball Hall of Famer, the NBA’s all-time winningest coach, and led the Spurs to five championships.",
"pk": "17901829044168955",
"has_translation": null
},
"caption_is_edited": false,
"transcription_data": null,
"carousel_media": null,
"code": "DJKCD7AxRAW",
"image_versions2": {
"candidates": []
},
"original_height": 612,
"original_width": 612,
"accessibility_caption": null,
"video_versions": null,
"has_audio": null,
"media_type": 19,
"caption_add_on": null,
"giphy_media_info": null,
"media_overlay_info": null,
"sharing_friction_info": {
"should_have_sharing_friction": false,
"sharing_friction_payload": null
},
"like_count": 4093,
"metaPlace": null,
"meta_place": null,
"gen_ai_detection_method": null,
"taken_at": 1746200860,
"organic_tracking_token": "eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjp0cnVlLCJ1dWlkIjoiYjgzMzc1NDA2MzU4NDg2OGIyMTFlZDc0NDZkYjdiNDUzNjIzNzE3OTE1Nzg4MTIwMDg2In0sInNpZ25hdHVyZSI6IiJ9",
"logging_info_token": null,
"like_and_view_counts_disabled": false
}
]
}Search by Keyword
Search Threads posts by keyword. Returns 20–30 results per request due to platform constraints.
GET
/
v1
/
scrape
/
threads
/
search
Search by Keyword
💳 1 credit per request
Authorizations
Query Parameters
Keyword to search for
Example:
"basketball"
Set to true for a trimmed down version of the response
Example:
false
Response
Successful response
Key Response Fields:
posts[n].id: Post unique IDposts[n].user.username: Author Threads handleposts[n].user.is_verified: Author verification statusposts[n].caption.text: Post text contentposts[n].like_count: Like countposts[n].taken_at: Unix timestampposts[n].text_post_app_info.reshare_count: Reshare countposts[n].text_post_app_info.direct_reply_count: Reply countposts[n].code: Post short code
⌘I